UnboundLocalError when an error occurs during udf subscription

Bug #632439 reported by Roman Yepishev on 2010-09-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu One Client
High
Guillermo Gonzalez
ubuntuone-client (Ubuntu)
Medium
Unassigned

Bug Description

2010-09-07 16:32:54,174 - ubuntuone.SyncDaemon.DBus - DEBUG - Folders.subscribe: dbus.String(u'5577d808-6a3f-4873-8b27-1fd644bd7e20')
2010-09-07 16:32:54,175 - ubuntuone.SyncDaemon.VM - INFO - subscribe_udf: dbus.String(u'5577d808-6a3f-4873-8b27-1fd644bd7e20')
2010-09-07 16:32:54,176 - ubuntuone.SyncDaemon.EQ - DEBUG - push_event: VM_UDF_SUBSCRIBE_ERROR, args:(dbus.String(u'5577d808-6a3f-4873-8b27-1fd644bd7e20'), 'METADATA_DOES_NOT_EXIST'), kw:{}
2010-09-07 16:32:54,177 - ubuntuone.SyncDaemon.DBus - ERROR - Error while subscribing udf: dbus.String(u'5577d808-6a3f-4873-8b27-1fd644bd7e20')
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.6/ubuntuone/syncdaemon/dbus_interface.py", line 1492, in subscribe
    self.vm.subscribe_udf(folder_id)
  File "/usr/lib/pymodules/python2.6/ubuntuone/syncdaemon/volume_manager.py", line 1119, in subscribe_udf
    return d
UnboundLocalError: local variable 'd' referenced before assignment

Related branches

Changed in ubuntuone-client:
assignee: Ubuntu One Foundations+ team (ubuntuone-foundations+) → Guillermo Gonzalez (verterok)
Changed in ubuntuone-client:
status: Confirmed → In Progress
importance: Low → Medium
dobey (dobey) on 2010-09-08
Changed in ubuntuone-client:
status: In Progress → Fix Committed
Changed in ubuntuone-client:
status: Fix Committed → In Progress
Changed in ubuntuone-client (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → Ubuntu One Ops+ team (ubuntuone-ops+)
tags: added: chicharra-maverick
Changed in ubuntuone-client:
importance: Medium → High
Changed in ubuntuone-client:
status: In Progress → Fix Committed
Colin Watson (cjwatson) wrote :

ubuntuone-client (1.4.1-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Fix VolumeManager.subscribe_udf method to handle the error cases properly
      (Guillermo Gonzalez) (LP: #632439)
    - Make ubuntuone-launch work with the new sso (John Lenton) (LP: #631822)
    - Wait for READY before asking for connection (John Lenton) (LP: #525743
      and LP: #518027)
    - Move operations live in limbo until confirmed (Facundo Batista)
    - Fix a few problems with emblems (Rodrigo Moya) (LP: #607247)
    - Load UDFs as soon as syncdaemon is ready (Rodrigo Moya) (LP: #612541)
    - Load public files as soon as syncdaemon is ready (Rodrigo Moya)
      (LP: #627339)
    - When VM receives an event on a volume it doesn't have, refresh them
      (Facundo Batista)
    - Made u1sync client work from the command line. No more "authorize" option,
      only --oauth (Natalia Bidart) (LP: #634337)
    - Marker chains are errbacked ok now (Facundo Batista)
    - Remove multiple returns in VolumeManager.subscribe_udf method (Guillermo
      Gonzalez)
    - Do calls to libproxy in a separate process (John Lenton) (LP: #633241)
    - OAuth consumer key and secret can be passed as parameter (Natalia Bidart)
      (LP: #637022)
    - Don't generate a new file if we're deleting or overwriting it
      (Facundo Batista)
    - Make sure that the u1 music path is present (Manuel de la Peña)
      (LP: #558762)
    - Make the "Current plan" label show the actual value returned from the
      server (John Lenton) (LP: #551138)
    - Add --with-sso option to configure, for building with uninstalled
      sso-client (Rodney Dawes)
    - Fix volume manager to create the fsm node on server rescan if the node
      isn't there (Guillermo Gonzalez) (LP: #632454)
    - Fix Local rescan to process read only shares and resume interrupted
      downloads (Guillermo Gonzalez) (LP: #598189)
    - Make sure we load list of shared folders in Nautilus plugin (Rodrigo Moya)
      (LP: #633013)
    - Dereference the possible markers in limbos (Facundo Batista)
    - Don't start syncdaemon from Nautilus plugin. Just wait for it to be
      available (Rodrigo Moya) (LP: #613219, LP: #635629 and LP: #628877)

 -- Rodrigo Moya <email address hidden> Wed, 15 Sep 2010 22:17:37 +0200

Changed in ubuntuone-client (Ubuntu):
status: Confirmed → Fix Released
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
Curtis Hovey (sinzui) on 2014-01-21
Changed in ubuntuone-client (Ubuntu):
assignee: Registry Administrators (registry) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers